MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004416ardourbugspublic2011-10-31 11:032015-03-30 08:09
Reporteracolomb 
Assigned To 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.0-beta2Fixed in Version3.0-beta2 
Summary0004416: Confusing checkmark in route_ops_menu "Comments" item
DescriptionIn the context menu, there is a "Comments" CheckMenuElem to toggle visibility of the comments editor window. The entry should be highlighted somehow if there are comments for this route.

The missing checkmark indicating "window not shown" currently suggests "no comments" to the casual user (me).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0011839)
cth103 (administrator)
2011-10-31 14:22

I'm inclined just to remove the checkbutton, to be honest. Any thoughts?
(0011852)
acolomb (reporter)
2011-11-01 04:35

Indeed, it is not very useful without having a clear visual indication whether a track has comments (#4398). So I vote for removing the menu entry completely and directing users to the preference for enabling the "real" Comments button.

I've only ever used the feature once, and always keep a separate text file per session for notes and planning, so it could probably be discussed further whether the preference should default to visible.
(0011853)
colinf (updater)
2011-11-01 05:15

If the menu entry were to be removed, the buttons would have to have been made visible in order for any comments to have been entered, and the user would have had to explicitly hide them again to end up in the situation of "there are comments, but you can't see where they are".

So in short: yes, I agree the menu entry is redundant.
(0011856)
nowhiskey (reporter)
2011-11-01 06:12

let me jump here in with another idea.

what if we have the menu entry, for accesing the comments window pretty much directly. then if user puts some comments into it, the comment button becomes visible for that track and we still can hide it via preferences, if we want?

cheers,
doc
(0012062)
cth103 (administrator)
2011-11-15 11:50

I have removed the checkbutton and left the menu item there; any more advanced arrangement can be a 3.X feature request, I think.

- Issue History
Date Modified Username Field Change
2011-10-31 11:03 acolomb New Issue
2011-10-31 11:57 cth103 cost => 0.00
2011-10-31 11:57 cth103 Target Version => 3.0-beta1
2011-10-31 14:22 cth103 Note Added: 0011839
2011-10-31 14:22 cth103 Status new => feedback
2011-11-01 04:35 acolomb Note Added: 0011852
2011-11-01 05:15 colinf Note Added: 0011853
2011-11-01 06:12 nowhiskey Note Added: 0011856
2011-11-14 17:47 cth103 Status feedback => confirmed
2011-11-14 17:47 cth103 Target Version 3.0-beta1 => 3.0-beta2
2011-11-15 11:49 cth103 Status confirmed => resolved
2011-11-15 11:49 cth103 Fixed in Version => 3.0-beta2
2011-11-15 11:50 cth103 Note Added: 0012062
2011-11-15 11:50 cth103 Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker